/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998 Stephen R. Dodd <dirk@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __FIELDDLG_H__
#define __FIELDDLG_H__

#include <gtk/gtk.h>
#include "createtabledlg.h"

#define FIELD_DLG(p) ((FieldDlg *)p);

typedef struct _FieldDlg FieldDlg;

struct _FieldDlg {
	GtkWidget *dialog;

	GtkWidget	*field;
	gchar		*old_name;
	GtkWidget	*ftype;

	GtkWidget *table;

	GtkWidget *displaylen;
	GtkWidget *is_unsigned;
	GtkWidget *is_zerofilled;
	GtkWidget *decimal;
	GtkWidget *is_binary;
	GtkWidget *set_list;
	GtkWidget *set_add;
	GtkWidget *set_remove;
	GtkWidget *set_hbox;
	GtkWidget *is_null;
	GtkWidget *auto_inc;
	GtkWidget *pri_key;
	GtkWidget *def;

	CreateTableDlg *owner;
};

FieldDlg	*field_dlg_new( CreateTableDlg *owner );
void		field_dlg_show( FieldDlg *field_dlg );
void		field_dlg_add_member( FieldDlg *field_dlg, gchar *member );
void		field_dlg_set( FieldDlg *field_dlg, gchar *name, gchar *def );

#endif /* __FIELDDLG_H__ */
