/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998 Stephen R. Dodd <dirk@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __INDEXDLG_H__
#define __INDEXDLG_H__

#include <gtk/gtk.h>
#include "createtabledlg.h"

#define INDEX_DLG(p) ((IndexDlg *)p);

typedef struct _IndexDlg IndexDlg;

struct _IndexDlg {
	GtkWidget *dialog;

	GtkWidget *index;
	GtkWidget *list;
	GtkWidget *unique;

	GSList *avail_fields;

	CreateTableDlg *owner;
};

IndexDlg	*index_dlg_new( CreateTableDlg *owner );
void		index_dlg_show( IndexDlg *index_dlg );
void		index_dlg_add_field( IndexDlg *index_dlg, gchar *field );
void		index_dlg_add_avail_field( IndexDlg *index_dlg, gchar *field );

#endif /* __INDEXDLG_H__ */
